Bug 1741320 - bacula-fd fails to create state file
Summary: bacula-fd fails to create state file
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bacula
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-14 18:41 UTC by jan.vesely
Modified: 2020-05-26 16:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:36:06 UTC
Type: Bug


Attachments (Terms of Use)

Description jan.vesely 2019-08-14 18:41:50 UTC
Description of problem:
I found these in the logs:
Aug 13 23:20:14 bingo.cs.yale.internal bacula-fd[1414]: bacula-fd: bsys.c:797-53984 Could not create state file. /var/spool/bacula/bacula-fd.9102.state ERR=Permission denied
Aug 13 23:20:14 bingo.cs.yale.internal bacula-fd[1414]: bacula-fd: ERROR in bsys.c:798 Could not create state file. /var/spool/bacula/bacula-fd.9102.state ERR=Permission deniedAug 13 23:20:14 bingo.cs.yale.internal bacula-fd[1414]: bacula-fd: bsys.c:797-53984 Could not create state file. /var/spool/bacula/bacula-fd.9102.state ERR=Permission denied
Aug 13 23:20:14 bingo.cs.yale.internal bacula-fd[1414]: bacula-fd: ERROR in bsys.c:798 Could not create state file. /var/spool/bacula/bacula-fd.9102.state ERR=Permission denied


Version-Release number of selected component (if applicable):
bacula-common-9.4.4-1.fc30.x86_64
bacula-client-9.4.4-1.fc30.x86_64
bacula-libs-9.4.4-1.fc30.x86_64

How reproducible:
always


Steps to Reproduce:
1. start bacula-fd
2. observe the logs
3.

Additional info:
the daemon runs as root:root:
$ cat /etc/sysconfig/bacula-fd 
# User and group for bacula client
# If no user is set bacula will run as root

FD_USER=root
FD_GROUP=root

# Useful for debugging
#
# OPTS="-d 200"


# Set the following options if you want to run bacula-fd with ReadAll
# capabilities after UID/GID switch.
#
# This allows the File Daemon to keep root read but drop write permission.
# This, however, has the side effect of disabling backups of extended
# attributes because this requires super user privileges.
#
# OPTS="-k"
# FD_USER="bacula"
# FD_GROUP="bacula"

while the directory is owned by bacula:
$ ls -ld /var/spool/bacula/
drwxr-x---. 2 bacula bacula 4096 May 29 16:35 /var/spool/bacula/

the above is the default configuration. I only added 'director' information and firewall permissions to setup bacula.

Comment 1 Ben Cotton 2020-04-30 21:21:16 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 16:36:06 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.